Bug 1758182 (CVE-2019-14893) - CVE-2019-14893 jackson-databind: Serialization gadgets in classes of the xalan package
Summary: CVE-2019-14893 jackson-databind: Serialization gadgets in classes of the xala...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-14893
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1758183 1762564 1762566 1762567 1762568 1762569 1762570 1762571 1762572 1765100 1765101 1781719
Blocks: 1758184
TreeView+ depends on / blocked
 
Reported: 2019-10-03 13:40 UTC by Pedro Sampaio
Modified: 2021-02-16 21:19 UTC (History)
108 users (show)

Fixed In Version: jackson-databind 2.9.10, jackson-databind 2.10.0
Doc Type: If docs needed, set a value
Doc Text:
A flaw was discovered in FasterXML jackson-databind, where it would permit polymorphic deserialization of malicious objects using the xalan JNDI gadget when used in conjunction with polymorphic type handling methods such as `enableDefaultTyping()` or when @JsonTypeInfo is using `Id.CLASS` or `Id.MINIMAL_CLASS` or in any other way which ObjectMapper.readValue might instantiate objects from unsafe sources. An attacker could use this flaw to execute arbitrary code.
Clone Of:
Environment:
Last Closed: 2020-01-21 08:09:52 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0159 0 None None None 2020-01-21 02:56:29 UTC
Red Hat Product Errata RHSA-2020:0160 0 None None None 2020-01-21 03:46:39 UTC
Red Hat Product Errata RHSA-2020:0161 0 None None None 2020-01-21 03:21:51 UTC
Red Hat Product Errata RHSA-2020:0164 0 None None None 2020-01-21 02:23:59 UTC
Red Hat Product Errata RHSA-2020:0445 0 None None None 2020-02-06 08:35:54 UTC
Red Hat Product Errata RHSA-2020:0729 0 None None None 2020-03-05 13:13:11 UTC
Red Hat Product Errata RHSA-2020:0895 0 None None None 2020-03-18 14:52:18 UTC
Red Hat Product Errata RHSA-2020:0899 0 None None None 2020-03-18 17:37:14 UTC
Red Hat Product Errata RHSA-2020:2067 0 None None None 2020-05-18 10:26:45 UTC
Red Hat Product Errata RHSA-2020:2333 0 None None None 2020-05-28 15:59:12 UTC
Red Hat Product Errata RHSA-2020:3192 0 None None None 2020-07-28 15:55:17 UTC

Description Pedro Sampaio 2019-10-03 13:40:32 UTC
A flaw was found in jackson-databind before 2.9.10. New serialization gadgets were found regarding a class of the xalan package which may help in exploiting deserialization issues.

Upstream issue:

https://github.com/FasterXML/jackson-databind/issues/2469

Upstream patch:

https://github.com/FasterXML/jackson-databind/commit/998efd708284778f29d83d7962a9bd935c228317

References:

https://medium.com/@cowtowncoder/on-jackson-cves-dont-panic-here-is-what-you-need-to-know-54cd0d6e8062

Comment 1 Pedro Sampaio 2019-10-03 13:41:53 UTC
Created jackson-databind tracking bugs for this issue:

Affects: fedora-all [bug 1758183]

Comment 5 Anten Skrabec 2019-10-18 21:36:04 UTC
Statement:

Satellite 6 does not enable polymorphic unmarshmalling, which is a required configuration for the vulnerability to be used. We may update the jackson-databind dependency in a future release.

Red Hat OpenStack Platform ships OpenDaylight, which contains the vulnerable jackson-databind. However, OpenDaylight does not expose jackson-databind in a way that would make it vulnerable, lowering the impact of the vulnerability for OpenDaylight. As such, Red Hat will not be providing a fix for OpenDaylight at this time.

Comment 13 Kunjan Rathod 2019-12-06 00:28:14 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss BPMS 6
 * Red Hat JBoss Data Virtualization & Services 6


Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 16 Paramvir jindal 2019-12-17 09:12:01 UTC
Marking JDG as affected fix because the fix version seems to be jackson-databind 2.9.10 and JDG 7.3.4 (latest as of today) ships jackson-databind-2.9.9.3-redhat-00001.jar :

JDG/modules/system/add-ons/jdg/.overlays/layer-jdg-jboss-jdg-7.3.4.CP/com/fasterxml/jackson/core/jackson-databind/jdg-7.3/jackson-databind-2.9.9.3-redhat-00001.jar

Comment 18 errata-xmlrpc 2020-01-21 02:23:55 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:0164 https://access.redhat.com/errata/RHSA-2020:0164

Comment 19 errata-xmlrpc 2020-01-21 02:56:26 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2020:0159 https://access.redhat.com/errata/RHSA-2020:0159

Comment 20 errata-xmlrpc 2020-01-21 03:21:47 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 8

Via RHSA-2020:0161 https://access.redhat.com/errata/RHSA-2020:0161

Comment 21 errata-xmlrpc 2020-01-21 03:46:35 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2020:0160 https://access.redhat.com/errata/RHSA-2020:0160

Comment 22 Product Security DevOps Team 2020-01-21 08:09:52 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-14893

Comment 23 errata-xmlrpc 2020-02-06 08:35:46 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On

Via RHSA-2020:0445 https://access.redhat.com/errata/RHSA-2020:0445

Comment 24 Jonathan Christison 2020-02-28 14:32:48 UTC
Mitigation:

The following conditions are needed for an exploit, we recommend avoiding all if possible
* Deserialization from sources you do not control
* `enableDefaultTyping()`
* `@JsonTypeInfo using `id.CLASS` or `id.MINIMAL_CLASS`

Comment 25 errata-xmlrpc 2020-03-05 13:13:07 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 7.3.5

Via RHSA-2020:0729 https://access.redhat.com/errata/RHSA-2020:0729

Comment 26 errata-xmlrpc 2020-03-18 14:52:13 UTC
This issue has been addressed in the following products:

  Red Hat Process Automation

Via RHSA-2020:0895 https://access.redhat.com/errata/RHSA-2020:0895

Comment 27 errata-xmlrpc 2020-03-18 17:37:09 UTC
This issue has been addressed in the following products:

  Red Hat Decision Manager

Via RHSA-2020:0899 https://access.redhat.com/errata/RHSA-2020:0899

Comment 30 errata-xmlrpc 2020-05-18 10:26:38 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:2067 https://access.redhat.com/errata/RHSA-2020:2067

Comment 31 errata-xmlrpc 2020-05-28 15:59:07 UTC
This issue has been addressed in the following products:

  EAP-CD 19 Tech Preview

Via RHSA-2020:2333 https://access.redhat.com/errata/RHSA-2020:2333

Comment 32 errata-xmlrpc 2020-07-28 15:55:12 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.7.0

Via RHSA-2020:3192 https://access.redhat.com/errata/RHSA-2020:3192


Note You need to log in before you can comment on or make changes to this bug.